Package ru.bitel.bgbilling.plugins.documents.common.bean

# Class DocumentTable

java.lang.Object
ru.bitel.bgbilling.plugins.documents.common.bean.DocumentTable

All Implemented Interfaces:
  `Cloneable`

public class DocumentTable extends Object implements Cloneable
Класс-модель таблицы в шаблоне документа плагина Documents. В шаблоне может быть несколько таблиц, отличающихся именами. Для того, чтобы идентифицировать таблицу в файле шаблона, используется уникальный идентификатор.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentTable()`
  `DocumentTable(String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocumentTable`
  `clone()`
  Создание копии объекта.
  `boolean`
  `equals(Object obj)`
  Переопределенный для таблиц шаблона метод сравнения.
  `DocumentTableExtractMethod`
  `getExtractMethod()`
  Возвращает метод получения данных для данной таблицы.
  `String`
  `getIdentifier()`
  Получение уникального идентификатора таблицы, по которому ее можно найти в теле файла шаблона.
  `int`
  `getPosition()`
  Deprecated.
  0 возвращается в случае, если значением позиции является строка, которая не может быть преобразована в целое число.
  `String`
  `getTitle()`
  Получение названия таблицы.
  `String`
  `getValue()`
  Получение значения, содержащегося в данном bean.
  `DocumentTable`
  `setExtractMethod(DocumentTableExtractMethod extractMethod)`
  Установка метода получения данных для данной таблицы.
  `DocumentTable`
  `setIdentifier(String id)`
  Установка уникального идетификатора таблицы, по которому ее можно найти в теле файла шаблона.
  `DocumentTable`
  `setPosition(int position)`
  Deprecated.
  Обратите внимание, что передаваемое в данном методе целочисленное значение будет преобразовано в строку и в дальнейшем будет использоваться как идентификатор таблицы в файле шаблона с обрамлением фигурными скобками - {position}.
  `DocumentTable`
  `setTitle(String title)`
  Установка названия таблицы.
  `DocumentTable`
  `setValue(String value)`
  Установка значения, содержащегося в данном bean.

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentTable

    public DocumentTable()

  - ### DocumentTable

    public DocumentTable(String title)

- ## Method Details

  - ### getTitle

    public String getTitle()
    Получение названия таблицы.
    Returns:
      название таблицы.

  - ### setTitle

    public DocumentTable setTitle(String title)
    Установка названия таблицы.
    Parameters:
      `title` - название таблицы.

  - ### getPosition

    @Deprecated public int getPosition()
    Deprecated.
    0 возвращается в случае, если значением позиции является строка, которая не может быть преобразована в целое число.
    Использовать `getIdentifier()`

  - ### setPosition

    @Deprecated public DocumentTable setPosition(int position)
    Deprecated.
    Обратите внимание, что передаваемое в данном методе целочисленное значение будет преобразовано в строку и в дальнейшем будет использоваться как идентификатор таблицы в файле шаблона с обрамлением фигурными скобками - {position}.
    Использовать `setIdentifier(String id)`

  - ### getIdentifier

    public String getIdentifier()
    Получение уникального идентификатора таблицы, по которому ее можно найти в теле файла шаблона. В файле шаблона этот идентификатор должен быть обрамлен фигурными скобками, чтобы однозначно выделить его из текста. Например: идентификатор "id", заданный для таблицы, в файле шаблона в нужной таблице должен быть написан в виде "{id}".
    Returns:
      уникальный идентификатор таблицы.
    Since:
      6.2

  - ### setIdentifier

    public DocumentTable setIdentifier(String id)
    Установка уникального идетификатора таблицы, по которому ее можно найти в теле файла шаблона. В файле шаблона этот идентификатор должен быть обрамлен фигурными скобками, чтобы однозначно выделить его из текста. Например: идентификатор "id", заданный для таблицы, в файле шаблона в нужной таблице должен быть написан в виде "{id}".
    Parameters:
      `id` - идентификатор
    Since:
      6.2

  - ### getExtractMethod

    public DocumentTableExtractMethod getExtractMethod()
    Возвращает метод получения данных для данной таблицы. Возможные значения:
    - `DocumentTableExtractMethod.SQL` - sql-запрос к БД, где кол-во выводимых столбцов в запросе должно совпадать с числом столбцов в таблице в файле шаблона.
    - `DocumentTableExtractMethod.DYNCLASS` - ссылка на класс из динамического кода, где возможно получить любые данные, оформленные в виде списка пар "ключ-значение".
    Returns:

  - ### setExtractMethod

    public DocumentTable setExtractMethod(DocumentTableExtractMethod extractMethod)
    Установка метода получения данных для данной таблицы. Возможные значения:
    - `DocumentTableExtractMethod.SQL` - sql-запрос к БД, где кол-во выводимых столбцов в запросе должно совпадать с числом столбцов в таблице в файле шаблона.
    - `DocumentTableExtractMethod.DYNCLASS` - ссылка на класс из динамического кода, где возможно получить любые данные, оформленные в виде списка пар "ключ-значение".
    Parameters:
      `extractMethod` -

  - ### getValue

    public String getValue()
    Получение значения, содержащегося в данном bean. В зависимости от метода получения данных для данной таблицы, здесь может модержаться либо sql-запрос, либо полное имя класса из динамического кода.
    Returns:
      значение.

  - ### setValue

    public DocumentTable setValue(String value)
    Установка значения, содержащегося в данном bean. В зависимости от метода получения данных для данной таблицы, здесь может модержаться либо sql-запрос, либо полное имя класса из динамического кода.
    Parameters:
      `value` - значение.

  - ### equals

    public boolean equals(Object obj)
    Переопределенный для таблиц шаблона метод сравнения. Переопределение необходимо, т.к. сравнение объектов происходит не по id, а по набору title-extractMethod-identifier-value
    Overrides:
      `equals` in class `Object`

  - ### clone

    public DocumentTable clone()
    Создание копии объекта.
    Overrides:
      `clone` in class `Object`
    Since:
      7.0